package gui.settings.dialog.component;

import settings.Settings;

public class ListSettingsComponent extends AbstractListSettingsComponent<String> {

	public ListSettingsComponent(String settingsName) {
		super(settingsName);
	}

	@Override
	public void saveSettings(Settings s) {
		String[] vals=new String[listValsModel.getSize()];
		for (int i=0;i<vals.length;i++) {
			vals[i]=listValsModel.get(i);
		}
		s.set(settingsName, vals);
		s.fireSettingsChanged(settingsName);
	}

	@Override
	public void loadSettings(Settings s) {
		String[] vals=s.getStringArray(settingsName);
		for (String v:vals) {
			listValsModel.addElement(v);
		}
	}

}
